curl --request POST \
--url https://api.bindbee.dev/api/v1/custom-fields/mapping \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"custom_field_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"json_path": "<string>",
"integration_slug": "workday",
"connector_token": "i5kqe8bSedEdPLX9pHhFojKdo7Uzvue0f7I4NVhaDfV0GTxF0uAgwa_COb3zZU3T"
}
'import requests
url = "https://api.bindbee.dev/api/v1/custom-fields/mapping"
payload = {
"custom_field_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"json_path": "<string>",
"integration_slug": "workday",
"connector_token": "i5kqe8bSedEdPLX9pHhFojKdo7Uzvue0f7I4NVhaDfV0GTxF0uAgwa_COb3zZU3T"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
custom_field_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
json_path: '<string>',
integration_slug: 'workday',
connector_token: 'i5kqe8bSedEdPLX9pHhFojKdo7Uzvue0f7I4NVhaDfV0GTxF0uAgwa_COb3zZU3T'
})
};
fetch('https://api.bindbee.dev/api/v1/custom-fields/mapping', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Create Mapping
Create a custom field mapping. Provide exactly one of integration_slug (organization scope) or connector_token (connector scope).
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
ID of the custom field to be mapped.
"018e586b-7d0b-7bc9-be65-a8fdbc82d734"
JMESPath expression to extract the value from the upstream payload.
1024\S.*\SIntegration slug — set this for an organization-scoped mapping (applies to all connectors of this integration in the org). Mutually exclusive with connector_token.
"workday"
Connector token — set this for a connector-scoped mapping (applies to a single connector instance). Mutually exclusive with integration_slug.
"i5kqe8bSedEdPLX9pHhFojKdo7Uzvue0f7I4NVhaDfV0GTxF0uAgwa_COb3zZU3T"
Response
Successful Response
The response is of type Response Create Custom Field Mapping Api V1 Custom Fields Mapping Post · object.
Was this page helpful?